module.exports = {
  domain: 'dev.ezijing.com',
  url: 'https://learn-api.ezijing.com/api',
  webpack: {
    externals: {
      CKEDITOR: 'window.CKEDITOR',
      Base64: 'window.Base64',
      md5: 'window.md5',
      regeneratorRuntime: 'window.regeneratorRuntime',
      wx: 'window.wx',
      WeixinJSBridge: 'window.WeixinJSBridge'
    },
    devServer: {
      proxy: {
        '/api/shop': {
          target: 'http://172.16.3.11:8089',
          changeOrigin: true,
          pathRewrite: { '^/api/shop': '' }
        }
      }
    }
  },
  ProvidePlugin: {},
  others: {
    baseUrl: 'https://learn-api.ezijing.com',
    loginUrl: 'https://login.ezijing.com/auth/login/index'
  }
}
